Bug 66367 - gphoto2-2.0-4: Program terminated with signal 11, Segmentation fault
gphoto2-2.0-4: Program terminated with signal 11, Segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gphoto2 (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-08 17:21 EDT by adrian.lawrence
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 08:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adrian.lawrence 2002-06-08 17:21:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
gphoto2-2.04 seg faults:

------------------------------------
cli: checking "-L": 

cli: checking "--debug": 

cli: checking "--camera": 

cli: checking "--port": 

cli: checking "-f": 

cli: ALWAYS INCLUDE THE FOLLOWING LINE WHEN SENDING DEBUG MESSAGES TO THE
MAILING LIST:
cli: gphoto2 2.0: Turning on debug mode
cli: Setting port to usb:
cli: Setting camera model to Kodak DC3400
cli: Setting folder to /DCIM/100K3400
cli: Setting globals...
gphoto2-filesystem(2): Internally appending folder /...
gphoto2-port(2): Creating new device...
gphoto2-abilities-list(2): Loading camera libraries in '/usr/lib/gphoto2/2.0'...
{snip]
gphoto2-camera(2): Setting abilibites ('Kodak DC3400')...
setting/gphoto2-setting.c(2): Creating $HOME/.gphoto
setting/gphoto2-setting.c(2): Loading settings from file
"/home/ael/.gphoto/settings"
gphoto2-setting(2): Setting key 'model' to value 'Kodak DC3400' (gphoto2)
gphoto2-setting(2): Saving 2 setting(s) to file "/home/ael/.gphoto/settings"
gphoto2-port-info-list(2): Looking for path 'usb:' (2 entries available)...
gphoto2-port-info-list(2): Getting info of entry 0 (2 available)...
gphoto2-camera(2): Setting port info for port 'Universal Serial Bus' at 'usb:'...
gphoto2-port(2): Setting timeout to 5000 millisecond(s)...
gphoto2-port(2): Setting settings...
gphoto2-setting(2): Setting key 'port' to value 'usb:' (gphoto2)
gphoto2-setting(2): Saving 2 setting(s) to file "/home/ael/.gphoto/settings"
gphoto2-camera(2): Listing files in '/DCIM/100K3400'...
gphoto2-camera(2): Initializing camera...
{seg fault here}
---------------------------------------------------------------------

gdb shows 

Reading symbols from /usr/lib/libusb-0.1.so.4...done.
Loaded symbols for /usr/lib/libusb-0.1.so.4
#0  gp_port_usb_find_device_lib (port=0x80581a0, idvendor=1034, idproduct=306)
    at libusb.c:381
381
			if ((dev->descriptor.idVendor == idvendor) &&

------------------------------------------------------
Problem seem to be in libusb.c, so perhaps this bug report should really be
under libusb rather than gphoto2 :-)

Compiling and installing rawhide libusb-0.1.5-4. solves the problem.

gphoto2-2gphoto2-2.0-8.i686.rpm from Rawhide did *not* solve the problem.

How reproducible:
Always

Steps to Reproduce:
1. run gphoto2 with most options. But --print-usb-usermap is ok.


Actual Results:  Core was generated by `gphoto2 -L --camera Kodak DC3400 --port
usb: -f /DCIM/100K3400'.
Program terminated with signal 11, Segmentation fault.
as reported by gdb.
Comment 1 Tim Waugh 2002-06-12 10:11:37 EDT
Do you see the problem with ghoto2-2.0-4 and libusb-0.1.5-3?  You don't 
mention which libusb version you were using.  libusb-0.1.5-2 exhibited this 
bug, but 0.1.5-3 was meant to fix it (and did for me).
Comment 2 adrian.lawrence 2002-06-12 12:10:03 EDT
I *believe* that I was using libusb-0.1.5-3. My system had been upgraded from
RH7.2 to RH7.3, and libusb-0.1.5-3 is in the upgrade log, so I must have had
that installed. By the time I had fixed the problem and decided to bugzilla it,
I had collected the rawhide src rpm, compiled and installed, so I no longer had
an audit trail. That is why I didn't say explicitly that it was libusb-0.1.5-3
which failed. I can't see how it could have been anything else in view of
/root/upgrade.log.

ael
Comment 3 Tim Waugh 2004-10-08 08:34:25 EDT
I think the current release works then -- please re-open if not.

Note You need to log in before you can comment on or make changes to this bug.